<?php

namespace Drupal\scorm_field\Controller;

use Drupal\Component\Utility\UrlHelper;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\TrustedRedirectResponse;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Drupal\node\NodeInterface;
use Drupal\Core\Entity\EntityInterface;
use Drupal\user\UserInterface;

/**
 * Class ScormFieldController.
 */
class ScormFieldScormResetMaterialController extends ControllerBase {

  /**
   * Scorm data commit method.
   * 
   * @param int $scorm_id
   *  The scorm id.
   * @param int $scorm_sco_id
   *  The scorm sco id.
   * @param int $nid
   *  The node id.
   */
  public function scormReset($nid) {

    $removed = FALSE;
    $removed_data = [];

    $data_content = $GLOBALS['request']->getContent();

    if (!empty($_POST['data'])) {
      $data = json_decode($_POST['data']);
    }
    elseif ($data_content) {
      $data = json_decode($data_content);
    }

    if (isset($data)) {
      $user = \Drupal::service('entity.repository')->loadEntityByUuid('user', $user_uuid);
      if ($user instanceof UserInterface) {
        $uid = $user->id();
      }
    }
    else {
      $uid = \Drupal::currentUser()->id();
    }

    $node = \Drupal::entityTypeManager()->getStorage('node')->load($nid);

    if ($node instanceof EntityInterface) {
      try {
        $query = \Drupal::database()->delete('scorm_field_scorm_cmi_data')
          ->condition('uid', $uid)
          ->condition('nid', $node->id());
        $query->execute();
        $removed = TRUE;
      }
      catch (\Exception $e) {
        \Drupal::logger('scorm_field')->warning('Problem deleting scorm cmi data after user clicked to reset data.');
      }
    }

    if ($removed) {
      return new JsonResponse(['success' => 1]);
    }
    else {
      return new JsonResponse(['error' => 1, 'message' => 'not able to remove suspend data!']); 
    }
    
  }  

}