<?php

namespace Drupal\scorm_field\Plugin\AttemptProcessing;

use Drupal\conditional_notification\NotificationFactory;
use Drupal\attempt_mgmt\Plugin\AttemptProcessingBase;
use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Entity\Query\Sql\QueryFactory;
use Drupal\group\Entity\GroupInterface;
use Drupal\user\EntityOwnerInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\group\Entity\GroupRelationship;
use Drupal\Core\Entity\EntityInterface;
use Drupal\user\UserInterface;
use Drupal\node\NodeInterface;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a 'AttemptScorm' processing plugin.
 *
 * @AttemptProcessing(
 *   id = "attempt_scorm",
 *   label = @Translation("Scorm attempt"),
 *   attempt_type = "scorm", 
 *   entities = {"node" = {}},
 *   settings = {
 *     "attempt_limit" = 0,
 *     "attempt_method" = "best_attempt"
 *   },
 * )
 */
class AttemptScorm extends AttemptProcessingBase {


  /**
   * Constructs a AttemptProcessing object.
   *
   * @param array $configuration
   *   A configuration array containing information about the plugin instance.
   * @param string $plugin_id
   *   The plugin_id for the plugin instance.
   * @param mixed $plugin_definition
   *   The plugin implementation definition.
   * @param \Drupal\Core\Entity\Query\Sql\QueryFactory $entity_query
   *   The query factory.
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager
   *   The entity type manager.
   */
  public function __construct(
    array $configuration,
    $plugin_id,
    $plugin_definition,
    EntityTypeManagerInterface $entity_type_manager
  ) {
    parent::__construct($configuration, $plugin_id, $plugin_definition, $entity_type_manager);
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    return new static(
      $configuration,
      $plugin_id,
      $plugin_definition,
      $container->get('entity_type.manager')
    );
  }
  
  public function validateAttempt(array $data, $entity, $user_id, $session_id) {    
    return TRUE;    
  }  

  


}
